Subject: Bug#580: X2Go Client writes Qt class names to .x2goclient/sessions

From: Mike Gabriel <[email-masked]>
Date: Wed, 20 Aug 2014 12:38:57 +0000

Hi Alex,

(Keeping your message unshortened to make sure all information is  
included with the history of bug #580 in BTS).

On  Mi 20 Aug 2014 13:54:04 CEST, Oleksandr Shneyder wrote:

> Hi Mike,
>
> Am 20.08.2014 13:30, schrieb Mike Gabriel:
>> Package: x2goclient
>> Severity: important
>> Version: 4.0.3.0-preview
>>
>> Hi Alex,
>>
>> the new folder browser implementation in X2Go Client writes QtByteArray
>> objects to .x2goclient/sessions.
>>
>> """
>> [General]
>> TEST_FOLDER=ByteArray()
>>
>> [<sessionid1>]
>> ...
>> """
>>
>> This information cannot be handled by PyHoca-GUI / Python X2Go. I
>> understand that this is needed to store empty folder icons in the
>> sessions file.
>>
>> To reproduce...
>>
>>  1. create a session profile in the base folder
>>  2. create a new folder and place the above session into that folder
>>  3. after I have created that folder, the above TEST_FOLDER entry under
>> General appears
>>  4. if I then add an icon to that folder, the ByteArray gets filled with
>> content.
>>
>> All this information can only be handled via Qt applications. Is it
>> possible to write the information in a different format? E.g. base64
>> encoded string (raw image data) + the file format (-> "<base64data>.png")?
>
> Yes, it is possible. I'll check if I have a time to do this till weekend.

THANKS!!!

>> A change of this approach before 4.0.3.0 release will be highly
>> appreciated...
>>
>> Also we should not use [General] here as the ini file section. How
>> about: [Folders] or [SessionFolders]?
>
> No, it is the only way to keep compatibility with older versions of X2Go
> client. All groups in ini file identified from client as sessions. If we
> save the icons in group "Folder", older versions of x2go client will
> identify this group as session with id "Folder". Save this icons in
> other ini file is not an option neither (x2gobroker)

Ah, ok. Good point. Agreeing here. I wonder if we should prefix the  
folder name by something:

TEST_FOLDER=<data>.<format>

-> SessionsFolder::TEST_FOLDER=<data>.<format>

Or something like that...

Also: So, if there is an ini section named [General], it should get  
ignored by Python X2Go, right?

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb